function simLoad()
	world = love.physics.newWorld(0, 0, true)
	varPlanets = {}
	varBalls = {}
	varMouse = {}
	varText = {{"Size:","Restitution:","Left click to add Wells. Right click to add Balls.","Clicking and dragging right/left will increase the size.","Clicking and dragging up/down will set the restitution (bounciness).","The size and restitution are shown in the bottom right as you drag."},
			  {692,647,100,100,100,100},
			  {550,580,510,530,550,570},
			  {{255,255,255,255},{255,255,255,255},{255,255,255,255},{255,255,255,255},{255,255,255,255},{255,255,255,255}}}
	varRectangle = {{"fill","line","line","line"},
					{0,0,724,724},
					{500,500,547,577},
					{800,800,40,40},
					{100,100,20,20},
					{{0,0,0,255},{0,255,0,255},{0,255,0,255},{0,255,0,255}}}
	varPlaying = false
	varItemSize = 5
	varItemBounce = 0.2
	varBalls = {"LoloTextThatIsNeverUsed!"}
	varPlanets = {"LoloTextThatIsAlsoNeverUsed!"}
end

function simUpdate(dt)
	if varPlaying then
		world:update(dt)
		for q = 2, #varPlanets do
			for w = 2, #varBalls do
				varBalls[w][1]:applyForce((varPlanets[q][1]:getX()-varBalls[w][1]:getX())*(varPlanets[q][2]:getRadius()/10), (varPlanets[q][1]:getY()-varBalls[w][1]:getY())*(varPlanets[q][2]:getRadius()/10))
			end
		end
	end
end

function simKeypressed(key)
	if key == varKeys[1] then
		varPlaying = not varPlaying
	elseif key == varKeys[2] then
		for q = 2, #varPlanets do
			varPlanets[q] = nil
		end
		for q = 2, #varBalls do
			varBalls[q] = nil
		end
	end
end

function simMousepressed(x,y,button)
	varItemSize = x
	varItemBounce = y
	varMouse[1] = true
	varMouse[2] = button
end
function simMousereleased(x,y,button)
	varItemSize = x - varItemSize
	varItemBounce = (y - varItemBounce) / 100
	if button == "l" and y < 500 then
		q = #varPlanets + 1
		varPlanets[q] = {}
		varPlanets[q][1] = love.physics.newBody(world,x,y,"static")
		varPlanets[q][2] = love.physics.newCircleShape(varItemSize*2)
		varPlanets[q][3] = love.physics.newFixture(varPlanets[q][1],varPlanets[q][2],1)
		varPlanets[q][3]:setRestitution(varItemBounce)
		varPlanets[q][3]:setCategory(2)
		varPlanets[q][4] = {varOptionText[1][19],varOptionText[1][20],varOptionText[1][21],255}
	elseif button == "r" and y < 500 then
		q = #varBalls + 1
		varBalls[q] = {}
		varBalls[q][1] = love.physics.newBody(world,x,y,"dynamic")
		varBalls[q][2] = love.physics.newCircleShape(varItemSize*2)
		varBalls[q][3] = love.physics.newFixture(varBalls[q][1],varBalls[q][2],1)
		varBalls[q][3]:setRestitution(varItemBounce)
		varBalls[q][3]:setCategory(1)
		varBalls[q][3]:setMask(varMask)
		varBalls[q][4] = {varOptionText[1][12],varOptionText[1][13],varOptionText[1][14],255}
	end
	varMouse[1] = false
end

function simDraw()
	for q = 2, #varBalls do
		love.graphics.setColor(varBalls[q][4])
		love.graphics.circle("line",varBalls[q][1]:getX(),varBalls[q][1]:getY(),varBalls[q][2]:getRadius())
	end
	for q = 2, #varPlanets do
		love.graphics.setColor(varPlanets[q][4])
		love.graphics.circle("line",varPlanets[q][1]:getX(),varPlanets[q][1]:getY(),varPlanets[q][2]:getRadius())
	end
	for q = 1, #varRectangle[1] do
		love.graphics.setColor(varRectangle[6][q])
	love.graphics.rectangle(varRectangle[1][q],varRectangle[2][q],varRectangle[3][q],varRectangle[4][q],varRectangle[5][q])
	end
	for q = 1, #varText[1] do
		love.graphics.setColor(varText[4][q])
		love.graphics.print(varText[1][q],varText[2][q],varText[3][q])
	end
	if varMouse[1] then
		if varMouse[2] == "r" then
			love.graphics.setColor(varOptionText[1][12],varOptionText[1][13],varOptionText[1][14],255)
			love.graphics.circle("line", love.mouse.getX(), love.mouse.getY(),(love.mouse.getX()-varItemSize)*2)
			love.graphics.print((love.mouse.getX()-varItemSize)*2,726,550)
				love.graphics.print((love.mouse.getY()-varItemBounce)/10,726,580)
		else
			love.graphics.setColor(varOptionText[1][19],varOptionText[1][20],varOptionText[1][21], 255)
			love.graphics.circle("line", love.mouse.getX(), love.mouse.getY(), (love.mouse.getX()-varItemSize)*2)
			love.graphics.print((love.mouse.getX()-varItemSize)*2,726,550)
			love.graphics.print((love.mouse.getY()-varItemBounce)/100,726,580)
		end
	end
end